package com.liquidnet.service.kylin.dto.vo.middle;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.io.Serializable;

@Data
public class PayDataVo implements Serializable {

    private static final long serialVersionUID = -5841205289132250565L;
    private String appId;
    private String nonceStr;
    private String timeStamp;
    @JsonProperty("package")
    private String packages;
    private String partnerId;
    private String prepayId;
    private String sign;
    private String mwebUrl;
    private String paySign;
    private String signType;
    private String redirectUrl;
    private String orderStr;
    private String orderId;
    private String orderToken;
    private String tradeNo;

    public String getOrderToken() {
        return orderToken==null?"":orderToken;
    }

    public void setOrderToken(String orderToken) {
        this.orderToken = orderToken==null?"":orderToken;
    }

    public String getOrderId() {
        return orderId==null?"":orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId==null?"":orderId;
    }
}
